import React, { useState } from 'react';
import { Resizable } from 're-resizable';
import './resizeableImage.less';

interface IProps {
  blockProps: {
    src: string;
    width: number;
    height: number;
  };
}

const ResizeableImage = (props: IProps): JSX.Element => {
  const { src, width, height } = props.blockProps;
  const [imgSize, setImgSize] = useState({ width, height });
  const onResize = (event, direction, ref) => {
    setImgSize({
      width: ref.style.width,
      height: ref.style.height,
    });
  };
  return (
    <Resizable
      onResize={onResize}
      defaultSize={{ width, height }}
      className={'resizeable-root'}
      lockAspectRatio
    >
      <img src={src} width={imgSize.width} height={imgSize.height} />
    </Resizable>
  );
};

export default ResizeableImage;
