import React from 'react';
import ToolbarItem from './ToolbarItem';
import ToolbarOptions from '../../config/defaultToolbar';
import classNames from 'classnames';
import './inlineToolbar.less';

interface IProps {
  onChange: (style: string) => void;
  currentState: Record<string, any>;
}

const InlineToolbar = (props: IProps): JSX.Element => {
  const { onChange, currentState } = props;
  const inlineConfigs = ToolbarOptions.inline;
  const handleOnMouseDown = event => {
    // TODO 这里应该根据event 的类型决定是否要focus 在input里，完整代码参考 Editor/index.js 里的 prventDefault
    event.preventDefault();
  };

  return (
    <div
      onMouseDown={handleOnMouseDown}
      className={classNames('rdw-inline-wrapper')}
    >
      {inlineConfigs.options.map((style, index) => (
        <ToolbarItem
          key={index}
          value={style}
          onClick={onChange}
          active={
            currentState[style] == true ||
            (currentState.CODE && style === 'MONOSPACE')
          }
        >
          <img alt={''} src={inlineConfigs[style].icon} />
        </ToolbarItem>
      ))}
    </div>
  );
};

export default InlineToolbar;
